# Uses of Class
org.eclipse.mat.query.registry.ArgumentSet

Packages that use ArgumentSet
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of ArgumentSet in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return ArgumentSet
Modifier and Type
Method
Description
`ArgumentSet`
QueryDescriptor.`createNewArgumentSet(IQueryContext context)`
Create ArgumentSet.
`static ArgumentSet`
CommandLine.`parse(IQueryContext context, String line)`
Methods in org.eclipse.mat.query.registry with parameters of type ArgumentSet
Modifier and Type
Method
Description
`static void`
CommandLine.`fillIn(ArgumentSet arguments, String line)`

## Uses of ArgumentSet in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui with parameters of type ArgumentSet
Modifier and Type
Method
Description
`static void`
QueryExecution.`execute(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, ArgumentSet set, boolean forcePrompt, boolean isReproducable)`

## Uses of ArgumentSet in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser with parameters of type ArgumentSet
Modifier and Type
Method
Description
`void`
Policy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`

## Uses of ArgumentSet in org.eclipse.mat.ui.internal.query.arguments

Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type ArgumentSet
Modifier
Constructor
Description
``
`ArgumentsTable(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)`
``
`ArgumentsWizard(IQueryContext context, ArgumentSet argumentSet)`
``
`ArgumentsWizardPage(IQueryContext context, ArgumentSet argumentSet)`

## Uses of ArgumentSet in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util with parameters of type ArgumentSet
Modifier and Type
Method
Description
`void`
IPolicy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`